Page MenuHomeFreeBSD

Add a COMPAT_FREEBSD13 kernel option
ClosedPublic

Authored by kp on Nov 15 2021, 11:40 PM.

Details

Summary

Use it wherever COMPAT_FREEBSD11 is currently specified.

Sponsored by: Rubicon Communications, LLC ("Netgate")

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kp requested review of this revision.Nov 15 2021, 11:40 PM

Do we also need to start creating misc/compat13x port?

Do we also need to start creating misc/compat13x port?

I don't think we need that just yet, at least if I understand the purpose of those ports correctly. The are COMPAT_FREEBSD13 is for D33001

jhb added a subscriber: bapt.

Maybe add this to riscv/conf/GENERIC as well?

Aslo, we do actually need a misc/compat13x port, but not for this change. The recent bump of the shlib version for libdialog.so and libdpv.so at least needs a misc/compat13x port/package. Not sure if we have bumped any other libraries in head. There might be some ncurses changes that might also need to be in misc/compat13x. @bapt would know that better.

This revision is now accepted and ready to land.Nov 16 2021, 5:52 PM
In D33005#745529, @jhb wrote:

Maybe add this to riscv/conf/GENERIC as well?

riscv currently doesn't list any COMPAT_x options, so I'm inclined to not include that here. If we want to turn it on for riscv (and we probably should) I think we should have a separate commit to add COMPAT_FREEBSD12 / COMPAT_FREEBSD13 there. I'l prepare one and post a review soon.

  • Add compat13 to arm64 as well
This revision now requires review to proceed.Nov 16 2021, 8:51 PM
This revision was not accepted when it landed; it landed in state Needs Review.Nov 17 2021, 6:21 AM
This revision was automatically updated to reflect the committed changes.